Bug 1030028 - Problem with cancel event after a retract using Phreak
Problem with cancel event after a retract using Phreak
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.0.0
Unspecified Unspecified
urgent Severity urgent
: ER5
: 6.0.0
Assigned To: Mario Fusco
Marek Winkler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 13:24 EST by Mario Fusco
Modified: 2014-08-06 16:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:20:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker DROOLS-338 Critical Resolved Problem with cancel event after a retract using Phreak 2013-12-12 10:36:46 EST

  None (edit)
Description Mario Fusco 2013-11-13 13:24:11 EST
When using Phreak, no cancel event is propagated when a retract is performed.
This leads to a wrong cancellation counts, both in the JMX bean and our applicative counting.
The problem doesn't occur when using RETE.
Comment 1 Mario Fusco 2013-11-13 13:24:59 EST
Fixed by https://github.com/droolsjbpm/drools/commit/0f13e87a4
Comment 2 JBoss JIRA Server 2013-11-13 13:25:49 EST
Mario Fusco <mario.fusco@gmail.com> updated the status of jira DROOLS-338 to Resolved
Comment 4 Marek Winkler 2013-12-12 10:36:38 EST
Verified on BRMS 6.0.0 ER5.

Note You need to log in before you can comment on or make changes to this bug.